$(document).ready(function() { 

	$('HTML').removeClass('no-js');
	
	if ($('A.colorbox').length) {
		$('A.colorbox').colorbox();
	}
	
	if ($('A.inline').length) {
		$('A.inline').colorbox({inline: true});
	}
	
	if ($('A.location-link').length) {
		$('A.location-link').each(function () {
			
			if ($(this).hasClass('inline')) {
				$(this).click(function () {
					var obj = $($(this).attr('href'));
					loadMap(obj, {
						afterLoad: function () {
							var map = makeMap(obj.attr('id'), obj.attr('x'), obj.attr('y'), 16);
							var placemark = getPlacemark(obj);
							map.geoObjects.add(placemark);
						}
					});
				});
			}
			
		});
	}
	
	$('SELECT').each(function () {
		$(this).width(realWidth($(this)) + 50);
	});
	
	$('FORM.ajax-form').each(function () {
		$(this).on('submit', function(e) {
            e.preventDefault();
            
			if (!$(this).attr('data-thick')) {
				$('DIV.result', $(this)).html('');
				var preloader = $('DIV.circle-preloader', $(this)).show();
				$('DL.favor INPUT').val($(this).attr('id'));
				
	            $(this).ajaxSubmit({
	                target: $('DIV.result', $(this)),
					success: function () {
						preloader.hide();
					}
	            });
				
			}
			
        });
		
		$(this).append('<input type="hidden" name="ajax" value="1" />');
		$(this).append('<input type="hidden" name="form_sent_id" value="' + $(this).attr('id') + '" />');
		
	} );

	if (isBorderRadiusSupported()) {
		$('BODY').removeClass('no-border-radius');
		$('BODY').addClass('border-radius');
	}
	
	$('INS.pseudo-link, A.pseudo-link').pseudolink();
	
	$('.rates').each( function () { $(this).click( function() {
		$('.rates').removeClass('rates-open');
		$(this).addClass('rates-open');
	} ); } );
	
	if ($('DIV.vacancy').length > 1) {
		
		$('DIV.vacancy INS.pseudo-link').hover(
			function () {
				$(this).parents('.vacancy').addClass('vacancy-hover');
			},
			function () {
				if ($(this).parents('.vacancy').find('.description').css('display') == 'none') {
					$(this).parents('.vacancy').removeClass('vacancy-hover');
				}
			}
		);
		
	}
	
	if ($('DIV.toggle').length) {
		
		$('DIV.toggle INS.pseudo-link').click(function () {
			
			if (!$(this).parents('DIV.toggle-link').hasClass('disabled')) {
				$(this).parents('DIV.toggle').find('DIV.toggle-link').removeClass('cur');
				$(this).parents('DIV.toggle-link').addClass('cur');
			}
			
		});
		
		$('DIV.toggle DIV.cur INS.pseudo-link').click();
	}

	if ($('#locality-choice').length) {
		$('#localities INS.pseudo-link').click( function () {
			var id = $(this).attr('id').substr(1);
			var expire = new Date();
			expire = new Date (expire.getYear() + 1901, expire.getMonth(), expire.getDate(), expire.getHours(), expire.getMinutes());
			setCookie('location', id, expire, '/');
			$('#locality-info').html(getLocalityContacts(id));
			$('#locality-choice').data('pseudolink').hide();
		});
		var location_id = getCookie('location');
		
		if (location_id) {
			$('#locality-info').html(getLocalityContacts(location_id));
		}
		
	}
	
	if ($('#f-office').length) {
		var form_id = $('#f-office').parents('FORM')[0].id;
		
		$('#f-locality').change(function () {
			setUpOffices(form_id);  
		});
		
		setUpOffices(form_id);
	}
	
	correctFontSize();
	$(window).resize(function () {
		correctFontSize();
	});
	
});

function correctFontSize () {
	
	if ($(window).width() < 1200) {
		$('.hot-call .phone').css('font-size', '1em');
	}
	else {
		$('.hot-call .phone').css('font-size', '1.3em');
	}
	
}

function getLocalityContacts (id) {
	var result = '';
	$('#locality-choice SPAN').html(localities[id][0]);
	
	if (localities[id][2] != '') {
		result += '<p class="phone">' + localities[id][2] + '</p>';
	}
	
	if (id == 28) {
		result += '<p class="address">' + language_constants['MAIN_CONTACTS_MAIN_OFFICE_TITLE'] + '</p>';
	}
	
	if (localities[id][3] != '') {
		result += '<p class="address">' + localities[id][3] + '</p>';
	}
	
	var links = '';
	
	if (localities[id][1] != 0) {
		links += '<li><a href="/addresses/' + localities[id][1] + '/">' + language_constants['MAIN_CONTACTS_OFFICES'] + '</a></li>';
		links += '<li><a href="/atm/' + localities[id][1] + '/">' + language_constants['MAIN_CONTACTS_ATM'] + '</a></li>';
	}
	
	if (links != '') {
		result += '<ul>' + links + '</ul>';
	}
	
	return result;
}

function setUpOffices (form_id) {
	
	if (localities[$('#f-locality').val()]) {
		var offices = localities[$('#f-locality').val()];
		$('#f-office OPTION + OPTION').remove();
		
		for (var i = 0; i < offices.length; i++ ) {
			$('#f-office').append('<option value="' + offices[i][0] + '">' + offices[i][1] + '</option>');
		}
		
		var oForm = ZForms.getFormById(form_id);
		var oWidget = oForm.getWidgetById('f-office');
		
		if (offices.length == 1) {
			$('#f-office')[0].selectedIndex = 0;
		}
		
		$('#f-office').change();
	}
	
}

//Определение реальной ширины объекта
function realWidth (obj){
	var clone = obj.clone();
	clone.css('visibility', 'hidden');
	$('BODY').append(clone);
	var width = clone.outerWidth();
	clone.remove();
	return width;
}

//Установить Cookie
function setCookie (name, value, expire, path) {
	document.cookie = name + '=' + escape (value) + ((expire == null)? '' : ('; expires=' + expire.toGMTString())) + ((path == null)? '' : ('; path=' + path));
	//alert(name + '=' + escape (value) + ((expire == null)? '' : ('; expires=' + expire.toGMTString())) + ((path == null)? '' : ('; path=' + path)));
}

//Прочитать Cookie
function getCookie (name) {
	var cookie = ' ' + document.cookie;
	var search = ' ' + name + '=';
	var setStr = null;
	var offset = 0;
	var end = 0;
	
	if (cookie.length > 0) {
		offset = cookie.indexOf(search);
		
		if (offset != -1) {
			offset += search.length;
			end = cookie.indexOf(';', offset)
			
			if (end == -1) {
				end = cookie.length;
			}
			
			setStr = unescape(cookie.substring(offset, end));
		}
		
	}
	
	return(setStr);
}

//Схемы проезда
function makeMap (id, x_coord, y_coord, zoom_level) {
	var map = new ymaps.Map(id, {
		center: [x_coord, y_coord],
		zoom: zoom_level
	});
	map.controls.add('typeSelector');
	map.controls.add('zoomControl');
	map.controls.add('miniMap');
	map.controls.add('scaleLine');
	return map;
}

function getPlacemark (obj) {
	return makePlacemark(obj.attr('x'), obj.attr('y'), obj.attr('placemark_name'), obj.attr('placemark_description'));
}

function makePlacemark (x_coord, y_coord, placemark_header, placemark_body, placemark_footer) {
	var placemark = new ymaps.Placemark(
		[x_coord, y_coord],
		{
			balloonContentHeader: placemark_header,
			balloonContentBody: placemark_body,
			balloonContentFooter: placemark_footer
		},
		{
			iconImageHref: '/i/yandexmap_label.png',
			iconImageSize: [47, 42],
			iconImageOffset: [-10, -40]
		}
	);
	return placemark;
}

function loadMap (obj, options) {

	if (obj.html() == '') {
	
		if (window.ymaps)  {
		
			ymaps.ready(function () {
				options.afterLoad.call();
			});
			
		}
		else {
		
			var script = document.createElement('script');
			script.src = 'http://api-maps.yandex.ru/2.0/?coordorder=longlat&load=package.full&lang=ru-RU';
			document.documentElement.appendChild(script);
			
			obj.addClass('preloader');
			
			function afterLoad () {
			
				ymaps.ready(function () {
					options.afterLoad.call();
					obj.removeClass('preloader');
				});
				
			}
			
			script.onload = script.onerror = function() {
			
				if (!this.executed) {
					this.executed = true;
					afterLoad();
				}
				
			};

			script.onreadystatechange = function() {
				
				var self = this;
				
				if (this.readyState == 'complete' || this.readyState == 'loaded') {
					setTimeout(function() { self.onload() }, 0);
				}
				
			};
		}
		
	}
}

//Проверка поддержки браузером свойства borderRadius
function isBorderRadiusSupported () {
	var s = document.documentElement.style;
	return typeof s.borderRadius === 'string' || typeof s.WebkitBorderRadius === 'string' || typeof s.KhtmlBorderRadius === 'string' || typeof s.MozBorderRadius === 'string';
}

//Вывод названия исчислимых объектов в зависимости от оличества
function printCountableTitle (count, word1, word2, word3) {
	var result = '';
	count = count.toString();
	var last = count.charAt(count.length - 1);
	var lastbutone = false;
	
	if ((count.length - 2) >= 0 && count.charAt(count.length - 2)) {
		lastbutone = count.charAt(count.length - 2);
	}
	
	if (last == 1 && lastbutone != 1 || count == 1) {
		result = word1;
	}
	else if ((last == 2 || last == 3 || last == 4) && lastbutone != 1) {
		result = word2;
	}
	else {
		result = word3;
	}
	
	return result;
}